.input-group{
  display: flex;
}

.form-label,
label{
  display: inline-block;
  font-size: .8rem;
  font-weight: normal;
  margin-bottom: .25rem;
}

.form-control{
  width: 100%;
  padding: 0.5rem 0.75rem;
  border: 1px solid rgba($black, .15);
  font-size: .9rem;
  border-radius: $border-radius;
  line-height: 1.5rem;
}
.form-control:focus,
.form-control:focus-visible{
  border: 1px solid rgba($link-hover, .15);
  outline: none;
  box-shadow: 0 0 5px 0px $input-focus;
}

.form-control::placeholder {
  color: rgba($dark, .5);
  opacity: 1; /* Firefox */
}

.form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: rgba($dark, .5);
}

.form-control::-ms-input-placeholder { /* Microsoft Edge */
  color: rgba($dark, .5);
}

.input-group{
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
}

.input-group .form-control{
  border-radius: 0;
}

.input-group .input-group-text{
  display: flex;
  align-items: center;
  border: 1px solid rgba($black, .15);
  padding: 0.5rem 0.75rem;
  background: rgba($input-group-text-bg,.75);
  color: $input-group-text-color;
  font-size: .9rem;
  text-align: center;
  white-space: nowrap;
  line-height: 1.5rem;
}

.input-group .input-group-text:first-child{
  border-top-left-radius: $border-radius;
  border-bottom-left-radius: $border-radius;
}

.form-autocomplete-box{
  position: relative;
}

.form-autocomplete{
  position: absolute;
  right: 0;
  width: 100%;
  margin-top: -2.5rem;
  background: $white;
  padding: 0.5rem 1rem;
  border-bottom-left-radius: $border-radius;
  border-bottom-right-radius: $border-radius;
  opacity: 0;
  z-index: 1;
}

.form-autocomplete.show{
  margin-top: 0.15rem;
  opacity: 1;
}

.input-group > .form-autocomplete-box {
  position: relative;
  flex: 1 1 auto;
  width: 1%;
  min-width: 0;
}

.form-autocomplete ul {
  list-style-type: none;
  margin: 0;
  padding: 0.375rem 0.75rem;
  font-size: 0.9rem;
}

.form-select {
  //appearance: none;
  padding: .5rem 1rem .5rem .75rem;
  font-size: .9rem;
  line-height: 1.5rem;
  background-color: $white;
  margin: 0;
  width: 100%;
  font-family: inherit;
  cursor: pointer;
  border-radius: $border-radius;
  border: 1px solid rgba($black, .15);
  outline: none;
}
.form-select:focus,
.form-select:focus-visible{
  border: 1px solid rgba($link-hover, .15);
  outline: none;
  box-shadow: 0 0 5px 0px $input-focus;
}